Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159189 - Upgrade to 0.57
Summary: Upgrade to 0.57
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: synaptic
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.gnu.org/archive/html/syn...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-31 09:23 UTC by Didier
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.57.2-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-31 10:54:39 UTC


Attachments (Terms of Use)
fetcher patch (deleted)
2005-05-31 09:23 UTC, Didier
no flags Details | Diff
.desktop patches (deleted)
2005-05-31 09:24 UTC, Didier
no flags Details | Diff
synaptic.spec diff (deleted)
2005-05-31 09:28 UTC, Didier
no flags Details | Diff

Description Didier 2005-05-31 09:23:21 UTC
A patch is needed to compile synaptic 0.56.1 on FC4t3.

Also included are some patches to the .desktop (which probably needs some more
massaging, as I patched against the stock synaptic.desktop).

The combined patches allowed me to install and use synaptic-0.56.1 on a FC4t3
system.

Comment 1 Didier 2005-05-31 09:23:21 UTC
Created attachment 114984 [details]
fetcher patch

Comment 2 Didier 2005-05-31 09:24:21 UTC
Created attachment 114985 [details]
.desktop patches

Comment 3 Didier 2005-05-31 09:28:14 UTC
Created attachment 114986 [details]
synaptic.spec diff

diff against synaptic-0.55.3-3 spec file

Comment 4 Panu Matilainen 2005-06-29 11:02:12 UTC
Sorry for the slow response - 0.57 has been released in the meantime.

Updated package here:
http://fedora.laiskiainen.org/SRPMS.extras/synaptic-0.57-1.src.rpm

Ville, could you update the package in CVS? Hmm, I think this should have
%{?dist} in release as well since I guess it should be released for all current
distros. Oh and Ville, let me know if you prefer the update in patches instead
of whole src.rpm's.

Comment 5 Ville Skyttä 2005-06-29 12:53:19 UTC
Patches vs srpms: doesn't matter much.  If it's a simple specfile patch, maybe   
then as patch.  But other stuff:   
  
Why are there two almost equivalent desktop files in the first place?  
  
And why does the GNOME version execute hardcoded /usr/sbin/synaptic, shouldn't  
it be just (pathless) "synaptic"?  I gather /usr/sbin/synaptic won't work for  
non-root anyway.  
  
The KDE-only desktop entry could use the same added Categories as the GNOME  
one.  
  
I added %{?dist}, and took the liberty of configuring with  
--disable-dependency-tracking; that may speed up the build and results in a  
bit less messy build output.  
 
To confirm, you'd like to push this update for all FC-3, FC-4 and devel? 
 
Not committed yet, awaiting comments...  

Comment 6 Panu Matilainen 2005-07-08 10:18:22 UTC
Doh, 'twas a bit of a hasty update. Didn't realize the kde-desktop file got 
installed at all and of course the /usr/sbin path is incorrect, should 
be /usr/bin/synaptic to force it through consolehelper (otherwise if user 
has /usr/sbin in path early it'll fail to function at all). 

I'm not at a linux box now (haven't been for a week) so can't fix now, I should 
be back on my own systems next week, will update to 0.57.2 and fix these issues 
then. 

And yes, I intend it for all fc3, fc4 and devel.

Comment 7 Panu Matilainen 2005-07-12 19:46:51 UTC
Ok, here's the new version fixing the desktop stuff and also #163036
http://fedora.laiskiainen.org/SRPMS.extras/synaptic-0.57.2-1.fc5.src.rpm

Comment 8 Ville Skyttä 2005-07-14 06:29:44 UTC
Ok, committed to CVS with a couple of self-explanatory micro tweaks.  Will tag 
and ask for a build when the build system is operational again. 
 
While checking this out, I noticed something you might want to take a look in 
the future:  The dirs /usr/share/gnome, /usr/share/gnome/help, 
and /usr/share/omf are unowned.  But Synaptic isn't the only "criminal" wrt. 
these, for example /usr/share/omf should probably be owned by scrollkeeper.  
Dunno about the gnome and gnome/help dirs. 

Comment 9 Ville Skyttä 2005-07-31 10:54:39 UTC
0.57.2-1 is in the repo for FC3+ 

Comment 10 Didier 2005-07-31 12:32:40 UTC
Thanks !


Note You need to log in before you can comment on or make changes to this bug.